sr     = 44100; this sample rate is *required* for some reverberators
kr     = 44100; this control rate is *required* for some reverberators
ksmps  = 1
nchnls = 2;reverbs are mono or stereo, please select nchnls accordingly

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;JCN Reverb Repository
;a massive set of reverbs collected from the Csound community
;please contribute with your beloved reverbs to this project!
;email to Josep M Comajuncosas at gelida@intercom.es
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;*****************
;TEMPLATE EXAMPLE
;*****************

;First include the file "rvb.h" which contains all the macro definitions.
;In case you want to use Convolve based reverbs you will also need the IR files,
;all the needed Impulse Responses and cv files are available separately

#include "rvb.h"

;refer to the file "rvb.pdf" for the current set of available reverbs,
;as well as the required parameters for each one.
;all the examples working as global reverbs

instr 1;sound source + declicking envelope
	kdeclick linen 1,.05,p3,.05
ga_in,ga_in2 soundin "welcome.wav"
	ga_in  = ga_in * kdeclick
	ga_in2 = ga_in * kdeclick
endin


instr 2

;REVERB MACRO
$rvb1m(ga_in'aout);using only left channel

;SIGNAL OUTPUT (dry/wet mix)
aout = .5*(aout+ga_in)
	outs aout,aout;mono output with d/w mix of 1:1 (default)

;CLEAN MIXER
ga_in  = 0
ga_in2 = 0

endin


instr 3
$xrvb2s(.1*ga_in'aout1'aout2'.95'.6'4000)
aout1 = .7*aout1+.3*ga_in
aout2 = .7*aout2+.3*ga_in
	outs aout1,aout2
ga_in  = 0
ga_in2 = 0
endin

instr 4
$rvb3s(.4*ga_in'aoutL'aoutR)
aout1 = .9*aoutL+.1*ga_in
aout2 = .9*aoutR+.1*ga_in
	outs aout1,aout2
ga_in  = 0
ga_in2 = 0
endin

instr 5
$xrvb3s(.2*ga_in'aoutL'aoutR'.99'.8'1.3'5000'1)
aout1 = .4*aoutL+.6*ga_in
aout2 = .4*aoutR+.6*ga_in
	outs aout1,aout2
ga_in  = 0
ga_in2 = 0
endin


instr 6
$rvb4s(.3*ga_in'.3*ga_in2'aoutL'aoutR'2);preset 1:buggy
aout1 = .6*aoutL+.4*ga_in
aout2 = .6*aoutR+.4*ga_in
	outs aout1,aout2
ga_in  = 0
ga_in2 = 0
endin


instr 7
$xrvb4s(.4*ga_in'.4*ga_in2'aoutL'aoutR'1'9000'97'103'108'133'96'104'107'134'200)
aout1 = .9*aoutL+.1*ga_in
aout2 = .9*aoutR+.1*ga_in
	outs aout1,aout2
ga_in  = 0
ga_in2 = 0
endin


instr 8
$rvb5s(.5*ga_in'.5*ga_in2'aoutL'aoutR'4)
aout1 = .8*aoutL+.2*ga_in
aout2 = .8*aoutR+.2*ga_in
	outs aout1,aout2
ga_in  = 0
ga_in2 = 0
endin

instr 9
$xrvb5m(.75*ga_in'aout'1'5000'56'58'72)
aout = .5*aout+.5*ga_in
	outs aout,aout
ga_in  = 0
endin

instr 10
$xrvb6s(ga_in'aout1'aout2'10'30'20'5'2'1.4'.4'9.5'1'7.3'2'1.1'.99'.01'1.0'1.0'.3'.2)
aout1 = .8*aout1+.2*ga_in
aout2 = .8*aout2+.2*ga_in
	outs aout1,aout2
ga_in  = 0
endin

instr 11
$rvb7s(ga_in'aout1'aout2'.6'.09)
aout1 = .5*aout1+.5*ga_in
aout2 = .5*aout2+.5*ga_in
	outs aout1,aout2
ga_in  = 0
endin

instr 12
$rvb8s(ga_in'ga_in2'aout1'aout2'.6'.09);Lyons echo2 reverb
aout1 = .5*aout1+.5*ga_in
aout2 = .5*aout2+.5*ga_in2
	outs aout1,aout2
ga_in  = 0
ga_in2 = 0
endin


instr 13
$rvb9m(ga_in'aout1'aout2)
aout1 = .7*aout1+.3*ga_in
aout2 = .7*aout2+.3*ga_in
	outs aout1,aout2
ga_in  = 0
endin




instr 14
$rvb9s(ga_in'ga_in2'aout1'aout2);Lyons GATOR2 reverb STEREO input 
aout1 = .7*aout1+.3*ga_in
aout2 = .7*aout2+.3*ga_in2
	outs aout1,aout2
ga_in  = 0
ga_in2 = 0
endin



instr 15
$rvb10m(.6*ga_in'aout1'aout2); E. Lyons Lmultitap reverb
aout1 = .7*aout1+.3*ga_in
aout2 = .7*aout2+.3*ga_in
	outs aout1,aout2
ga_in  = 0
endin


instr 16
$rvb11s(ga_in'ga_in2'aout1'aout2); E. Lyons Lmultitap2 reverb
aout1 = .7*aout1+.3*ga_in
aout2 = .7*aout2+.3*ga_in2
	outs aout1,aout2
ga_in  = 0
ga_in2 = 0
endin



instr 17
$rvb12s(.6*ga_in'.6*ga_in2'aout1'aout2);Lyons Rev1 reverb 
aout1 = .7*aout1+.3*ga_in
aout2 = .7*aout2+.3*ga_in2
	outs aout1,aout2
ga_in  = 0
ga_in2 = 0
endin


instr 18
$rvb13s(.3*ga_in'aout1'aout2);Lyons Rev2 reverb
aout1 = .7*aout1+.3*ga_in
aout2 = .7*aout2+.3*ga_in
	outs aout1,aout2
ga_in  = 0
endin



instr 19
$rvb14m(.4*ga_in'aout);E.Lyons Rev3 instrument, ;tighter reverb
aout = .7*aout+.3*ga_in
	outs aout,aout
ga_in  = 0
endin


instr 20
$rvb15s(.7*ga_in'ga_in2'aout1'aout2);Lyons Rev4 reverb
aout1 = .5*aout1+.5*ga_in
aout2 = .5*aout2+.5*ga_in2
	outs aout1,aout2
ga_in  = 0
ga_in2 = 0
endin

;instr 21;DOESNT WORK (WHY?)
;$rvb16m(ga_in'aout) 
;aout = .4*aout+.6*ga_in
;	outs aout,aout
;ga_in  = 0
;endin

;instr 22;DOESNT WORK (WHY?)
;$rvb17m(ga_in'aout1'aout2) 
;aout1 = .6*aout1+.4*ga_in
;aout2 = .6*aout2+.4*ga_in
;	outs aout1,aout2
;ga_in  = 0
;endin


instr 23
$rvb18m(.09*ga_in'aout)
aout = .7*aout+.3*ga_in
	outs aout,aout
ga_in  = 0
endin


instr 24
$rvb19m(ga_in'aout)
aout = .4*aout+.6*ga_in
	outs aout,aout
ga_in  = 0
endin

instr 25
$rvb19s(ga_in'ga_in2'aout1'aout2)
aout1 = .9*aout1+.1*ga_in
aout2 = .9*aout2+.1*ga_in2
	outs aout1,aout2
ga_in  = 0
ga_in2 = 0
endin


instr 26
$rvb20m(ga_in'aout)
aout = .6*aout+.4*ga_in
	outs aout,aout
ga_in  = 0
endin


instr 27
$rvb21s(ga_in'ga_in2'aout1'aout2)
aout1 = .6*aout1+.4*ga_in
aout2 = .6*aout2+.4*ga_in2
	outs aout1,aout2
ga_in  = 0
ga_in2 = 0
endin

instr 28
$rvb22s(.9*ga_in'aout1'aout2)
aout1 = .9*aout1+.1*ga_in
aout2 = .9*aout2+.1*ga_in
	outs aout1,aout2
ga_in  = 0
endin


instr 29
$rvb23s(ga_in'ga_in2'aout1'aout2)
aout1 = .5*aout1+.5*ga_in
aout2 = .5*aout2+.5*ga_in2
	outs aout1,aout2
ga_in  = 0
ga_in2 = 0
endin


instr 30
$rvb24s(ga_in'aout1'aout2);Lyons Reverb2 reverb
aout1 = .8*aout1+.2*ga_in
aout2 = .8*aout2+.2*ga_in
	outs aout1,aout2
ga_in  = 0
endin


instr 31
$xrvb25s(.15*ga_in'aout'3)
aout1 = .7*aout+.3*ga_in
	outs aout,aout
ga_in  = 0
endin


instr 32
iIR = p4
idry = p5
;idry!=0 output the default (suggested) wet/dry mix
;idry=0  output only the wet signal
$xrvb0s(.5*ga_in'aout1'aout2'iIR'idry)
	outs aout1,aout2
endin












